std::negate< _Tp >(3)

NAME
std::negate< _Tp > -

SYNOPSIS

Inherits std::unary_function< _Tp, _Tp >.

  Public Types
typedef _Tp argument_type
typedef _Tp result_type

  Public Member Functions
_GLIBCXX14_CONSTEXPR _Tp operator() (const _Tp &__x) const

Detailed Description

  template<typename _Tp>struct std::negate< _Tp >
One of the math functors.

Definition at line 217 of file stl_function.h.

Member Typedef Documentation

  typedef _Tp std::unary_function< _Tp , _Tp >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 108 of file stl_function.h.

  typedef _Tp std::unary_function< _Tp , _Tp >::result_type [inherited]

result_type is the return type

Definition at line 111 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.